The reason why "Instance type is disabled" on AWS and future response

book

Article ID: 124920

calendar_today

Updated On:

Products

CA Privileged Access Manager - Cloakware Password Authority (PA) PAM SAFENET LUNA HSM CA Privileged Access Manager (PAM)

Issue/Introduction



When I try to deploy PAM on AWS, there is the following instance type. 

"Instance type is disabled. 
This instance type requires ENA support. To enable this instance type, return to the previous step and select an AMI that is enabled for ENA." 


In the following URL, there is the following description. 

https://docs.aws.amazon.com/AWSEC2/latest/UserGuide/ec2-instance-resize.html 
"Enhanced networking: Instance types that support enhanced networking require the necessary drivers installed. For example, the A1, C5, C5d, C5n, M5, M5a, M5d, p3dn.24xlarge, R5, R5a, R5d, T3, and z1d instance types require EBS-backed AMIs with the Elastic Network Adapter (ENA) drivers installed. To resize an existing instance to an instance type that supports enhanced networking, you must first install the ENA drivers or ixgbevf drivers on your instance, as appropriate." 


- Is the PAM 3.2.0 not installed the ENA driver or ixgbevf drivers. 
- how about r3.2.3? Is it installed those drivers? 
- Is there a specific release that those drivers will be installed?

Environment

Release:
Component: CAPAMX

Resolution

PAM does not implement ENA drivers for our AWS AMI image in any GA version. Product Management does not believe there is any requirement to justify the addition and therefore there are no plans to add ENA drivers.